Gecode::Search::Seq Namespace Reference

## Classes

class | BAB
| Implementation of depth-first branch-and-bound search engine. More...
class | Dead
| A dead engine (failed root). More...
class | DFS
| Depth-first search engine implementation. More...
class | Probe
| Probe engine for LDS More...
class | LDS
| Limited discrepancy search engine implementation. More...
class | Path
| Depth-first path (stack of edges) supporting recomputation. More...
class | SharedStopInfo
| Shared stop information. More...
class | PortfolioStop
| Stop object used for controling slaves in a portfolio. More...
class | Slave
| Runnable slave of a portfolio master. More...
class | PBS
| Sequential portfolio engine implementation. More...
class | RestartStop
| Stop-object for restart engine More...
class | RBS
| Engine for restart-based search. More...

## Functions

Stop * | pbsstop (Stop *so)
| Create stop object.
Engine * | pbsengine (Engine **slaves, Stop **stops, unsigned int n_slaves, const Statistics &stat, const Search::Options &opt, bool best)
| Create sequential portfolio engine.
Stop * | rbsstop (Stop *so)
| Create stop object.
Engine * | rbsengine (Space *master, Stop *stop, Engine *slave, const Search::Statistics &stat, const Options &opt, bool best)
| Create restart engine.
Engine * | dead (const Options &o, const Statistics &stat)

## Function Documentation

## pbsstop()

Stop * Gecode::Search::Seq::pbsstop | ( | Stop * | so | ) |

Create stop object.

Definition at line 39 of file pbs.cpp.

## pbsengine()

Engine * Gecode::Search::Seq::pbsengine | ( | Engine ** | slaves,
|  | Stop ** | stops,
|  | unsigned int | n_slaves,
|  | const Statistics & | stat,
|  | const Search::Options & | opt,
|  | bool | best )

Create sequential portfolio engine.

Definition at line 44 of file pbs.cpp.

## rbsstop()

Stop * Gecode::Search::Seq::rbsstop | ( | Stop * | stop | ) |

Create stop object.

Definition at line 39 of file rbs.cpp.

## rbsengine()

Engine * Gecode::Search::Seq::rbsengine | ( | Space * | master,
|  | Stop * | stop,
|  | Engine * | slave,
|  | const Search::Statistics & | stat,
|  | const Options & | opt,
|  | bool | best )

Create restart engine.

Definition at line 44 of file rbs.cpp.

## dead()

Engine * Gecode::Search::Seq::dead | ( | const Options & | o,
|  | const Statistics & | stat )

Definition at line 90 of file dead.cpp.